Get Complete Checkout Information
curl --request GET \
--url https://api-sandbox.revolv3.com/api/Checkout/{checkoutUid} \
--header 'x-revolv3-token: <api-key>'import requests
url = "https://api-sandbox.revolv3.com/api/Checkout/{checkoutUid}"
headers = {"x-revolv3-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-revolv3-token': '<api-key>'}};
fetch('https://api-sandbox.revolv3.com/api/Checkout/{checkoutUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkoutId": "12345678-ABCD-1234-EFGH-987654321000",
"checkoutStatus": "Pending",
"returnUrl": "https://mysite.com/order/12345678",
"completionDate": null,
"customer": {
"customerId": 328,
"firstName": "Joe",
"lastName": "Doe",
"email": "aa@aa.com"
},
"invoice": {
"invoiceId": 8786,
"invoiceStatus": "Paid",
"total": 10,
"billingDate": "2026-07-01T13:31:34.1290674+02:00",
"paymentMethod": {
"paymentMethodId": 0,
"billingAddress": {
"addressId": 4232,
"addressLine1": "20 Bitterwater Street",
"addressLine2": null,
"city": "King City",
"state": "CA",
"postalCode": "11111",
"phoneNumber": "43823527092",
"email": "aa@aa.com",
"country": "US"
},
"billingFirstName": "Joe",
"billingLastName": "Doe",
"type": null,
"achDetails": null,
"creditCardDetails": {
"last4Digit": "1111",
"expirationDate": "11/11"
}
},
"invoiceAttempts": null
},
"checkoutLineItems": [
{
"name": "Checkout Line Item Name",
"description": "Checkout Line Item Description",
"value": 10,
"valueType": "Standard"
}
]
}{
"message": "Unable to perform the request action with provided data."
}{
"message": "Attempted to perform an unauthorized operation."
}{
"message": "Unable to find an entity with the provided data."
}Checkout
Get Complete Checkout Information
Retrieves all available details about a specific checkout session using its unique identifier. This includes the customer information, transaction status, payment method used, transaction details. It is typically used after a checkout has been completed, allowing the merchant to verify the result of the payment process.
This endpoint is useful for confirming success/failure, displaying confirmation messages, or reconciling records in your system based on the outcome of the hosted checkout.
GET
/
api
/
Checkout
/
{checkoutUid}
Get Complete Checkout Information
Authorizations
Path Parameters
The checkout Uid
Maximum string length:
36Response
OK
Maximum string length:
36Maximum string length:
50Maximum string length:
200Maximum string length:
40Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

